全部产品

Java SDK 说明

蚂蚁区块链合约平台 Java SDK 是通过服务(Service)的形式对外提供功能,具体包括账户服务(Account Service)、合约服务(Contract Service)、事件服务(Event Service)、查询服务(Query Service)和本地服务(Local Service)。SDK 提供以同步或异步方式发送交易、查询交易、订阅事件等的接口。无论以同步或异步的方式发送交易,SDK 封装了发送交易后查询收据的逻辑,以便您查看交易的执行结果。

Java SDK 的 Jar 包依赖 Netty,不同的运行系统需要选择不同的 Netty 依赖包配置到 Maven 文件中。

Java SDK 版本说明

版本号 更新功能 对应链版本 下载链接
0.10.2.6 支持合约平台所有客户端功能。 V0.10.2.4.4 点击下载 SDK

Netty 依赖包说明

下表所列的 Netty 依赖包均包含在 Java SDK 压缩包中。JAVA SDK 需通过 BaaS 控制台链管理页面下载。

文件 说明 下载链接
netty-tcnative-openssl-static-2.0.17-Final-mychain-linux-x86_64.jar Linux 操作系统下 SDK 所依赖的运行库 点击下载 Linux Netty 依赖包
netty-tcnative-openssl-static-2.0.17-Final-mychain-windows-x86_64.jar Windows 操作系统下 SDK 所依赖的运行库 点击下载 Windows Netty 依赖包
netty-tcnative-openssl-static-2.0.17-Final-mychain-osx-x86_64.jar MacOS 操作系统下 SDK 所依赖的运行库 点击下载 MacOS Netty 依赖包

运行环境说明

  • JDK 7 及以上版本在终端运行 java -version 查看当前 Java 版本。
  • Maven 3.5.4 及以上版本在终端运行 mvn -v 查看当前 Maven 版本。

在 Maven 文件中引入 SDK 包

  1. 安装下载的 Jar 包到本地仓库。
  2. 从命令终端进入到下载的文件根目录,执行以下命令:
  1. //安装 SDK 到本地仓库
  2. mvn install:install-file -Dfile=mychainx-sdk-0.10.2.6.jar -DgroupId=com.alipay.mychainx -DartifactId=mychainx-sdk -Dversion=0.10.2.6 -Dpackaging=jar
  3. //安装 Netty 依赖到本地仓库,注意选择对应平台 netty-tcnative-openssl-static 版本,注意修改 classifier,macOS :osx-x86_64、linux:linux-x86_64、windows:windows-x86_64
  4. mvn install:install-file -Dfile=netty-tcnative-openssl-static-2.0.17-Final-mychain-osx-x86_64.jar -DgroupId=io.netty -DartifactId=netty-tcnative-openssl-static -Dversion=2.0.17-Final-mychain -Dpackaging=jar -Dclassifier=osx-x86_64
  1. <dependencies>
  2. <dependency>
  3. <groupId>com.alipay.mychainx</groupId>
  4. <artifactId>mychainx-sdk</artifactId>
  5. <!--请使用最新 SDK 版本 -->
  6. <version>0.10.2.6</version>
  7. </dependency>
  8. </dependencies>
  9. <build>
  10. <extensions>
  11. <extension>
  12. <groupId>kr.motd.maven</groupId>
  13. <artifactId>os-maven-plugin</artifactId>
  14. <version>1.6.1</version>
  15. </extension>
  16. </extensions>
  17. </build>